Update Webhook
curl --request POST \
--url https://api.paytring.com/api/v2/webhook/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"topics": [
"<string>"
],
"active": true
}
'import requests
url = "https://api.paytring.com/api/v2/webhook/{id}"
payload = {
"url": "<string>",
"topics": ["<string>"],
"active": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', topics: ['<string>'], active: true})
};
fetch('https://api.paytring.com/api/v2/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhook Management
Update Webhook
Modify an existing webhook endpoint’s configuration.
POST
/
api
/
v2
/
webhook
/
{id}
Update Webhook
Modify an existing webhook endpoint’s configuration.
Path Parameters
The unique ID of the webhook.
Body Parameters
(Optional) The new URL.
(Optional) Updated list of event types.
(Optional) Set to
false to deactivate.Sample Request
curl --location 'https://api.paytring.com/api/v2/webhook/wh_12345' \
--user '<API_KEY>:<API_SECRET>' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://new-domain.com/webhook",
"active": false
}'
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique ID of the webhook.
Response
200
Webhook updated successfully
⌘I

